# Makefile for VgaGames tmidi

HOBJ = aq.h common.h controls.h fft4g.h filter.h freq.h instrum.h \
	mblock.h memb.h miditrace.h mix.h mod.h mod2midi.h mt19937ar.h \
	optcode.h output.h playmidi.h quantity.h readmidi.h recache.h \
	resample.h reverb.h sffile.h sfitem.h sflayer.h strtab.h support.h \
	sysdep.h tables.h timer.h timidity.h tmdy_getopt.h unimod.h \
	unimod_priv.h url.h wrd.h 


OOBJ = vgag-midi.o aiff_a.o aq.o au_a.o common.o controls.o dumb_c.o \
	effect.o fft4g.o filter.o freq.o getopt.o instrum.o list_a.o \
	load_669.o load_amf.o load_dsm.o load_far.o load_gdm.o load_imf.o \
	load_it.o load_m15.o load_med.o load_mod.o load_mtm.o load_okt.o \
	load_s3m.o load_stm.o load_stx.o load_ult.o load_uni.o load_xm.o \
	loadtab.o m2m.o mblock.o memb.o mfi.o miditrace.o mix.o mloader.o \
	mlutil.o mmsup.o mod.o mod2midi.o modmid_a.o mt19937ar.o munitrk.o \
	output.o playmidi.o quantity.o raw_a.o rcp.o readmidi.o recache.o \
	resample.o reverb.o sbkconv.o sffile.o sfitem.o smplfile.o sndfont.o \
	strtab.o support.o tables.o timer.o timidity.o url.o url_cache.o \
	url_dir.o url_file.o url_mem.o url_pipe.o wave_a.o wrd_read.o wrdt.o \
	wrdt_dumb.o

all: vgag-midi

clean:
	rm -f vgag-midi *.o config.h cfg newton_table.h calcnewt

vgag-midi: config.h newton_table.h $(HOBJ) $(OOBJ)
	$(CC) $(CFLAGS) $(OOBJ) -lm -o vgag-midi
	cp vgag-midi $(PREFIX)/bin/
	cp -a tmidi-pats $(PREFIX)/bin/

.c.o:
	$(CC) $(CFLAGS) -c $<

config.h:
	$(CC) cfg.c -o cfg
	./cfg > config.h

newton_table.h:
	$(CC) calcnewt.c -lm -o calcnewt
	./calcnewt > newton_table.h

